## exult 1.2

=== debian/changelog ===
exult (1.2-18) unstable; urgency=medium

  * debian/control (Build-Depends): Switch from automake1.11 to automake
    (Closes: #865146).
  * debian/rules (AUTOMAKE, ACLOCAL): Removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 May 2018 13:26:06 +0200

exult (1.2-17) unstable; urgency=medium

  * Acknowledge NMUs.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Maintainer, Uploaders): Take over as maintainer.
  * debian/control (Vcs-Git, Vcs-Browser) Updated to salsa.debian.org.
  * debian/control (Build-Depends): Removed quilt.
  * debian/rules: Remove --with-quilt.
  * debian/patches/09_autoconf_debian.patch: New patch, removes debian/Makefile
    from autoconf's AC_OUTPUT.
  * debian/control (Build-Depends): Added dh-autoreconf.
  * debian/rules: Switch to dh_autoreconf and remove manual autoreconf
    invocation from override_dh_auto_configure.
  * debian/exult.install: Remove target directory.
  * debian/rules (override_dh_auto_install): Copy executable to its target
    directory before installing the wrapper script.
  * debian/exult.dirs: New file, creating the /usr/lib/games/exult directory
    where the executable is copied to.

 -- Michael Banck <mbanck@debian.org>  Fri, 27 Apr 2018 19:54:57 +0200

exult (1.2-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow building with GCC 6 (Closes: #836938).

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Sep 2016 22:27:00 +0200

exult (1.2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * NMU based on git repository
  * Add patch to fix FTBFS for libpng1.6 (Closes: #809894)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 17:35:39 +0100

exult (1.2-16) UNRELEASED; urgency=medium

  * Standards-Version bumped to 3.9.5.
  * Shorten debian/rules file:
    + Compat level bumped to 9.
    + Depend on debhelper (>= 9).
  * Use canonical Vcs-* fields.
  * debian/patches/06_build-with-libpng1.5.patch: Add short description,
    author, and email.
  * Acknowledge 1.2-15.2 NMU. (Closes: #664226)
  * debian/po:
    + Add Japanese translation (victory). (Closes: #690691)
    + Add Turkish translation (Mert Dirik). (Closes: #757874)
  * debian/source/format: Define source format as 1.0.

 -- Jordà Polo <jorda@ettin.org>  Tue, 18 Mar 2014 19:44:57 +0100

exult (1.2-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741714)

 -- Eric Dorland <eric@debian.org>  Mon, 17 Mar 2014 22:26:48 -0400

exult (1.2-15.2) unstable; urgency=low

  * Non-maintainer upload to help for libpng transition
  * Allow building with libpng 1.5. Thanks to Iwamatsu Nobuhiro
    for the patch. Closes: #649549
  * Build-Depends on libpng-dev. Closes: #662319
  * Lintian cleaning:
    - drop debian/files in clean rule
    - add build-arch and build-indep build rules

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Mar 2012 22:21:27 +0100

exult (1.2-15.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n and one RC bug
  * Pass -fpermissive to allow conversion from 'const char*' to 'char*'.
    Closes: #653779
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595628
    - Dutch (Jeroen Schot).  Closes: #654391
    - Polish (Michał Kułach).  Closes: #657628
    - Italian (Francesca Ciceri).  Closes: #658502

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Feb 2012 08:23:57 +0100

exult (1.2-15) unstable; urgency=low

  * Standards-Version bumped to 3.8.4, no changes required.
  * Fix build failure with GCC 4.4, thanks to SevenMachines. (Closes: #563226)

 -- Jordà Polo <jorda@ettin.org>  Mon, 08 Feb 2010 13:31:05 +0100

exult (1.2-14) unstable; urgency=low

  * debian/control:
    + Standards-Version bumped to 3.8.1.
    + Add ${misc:Depends} to exult-studio's Depends.
    + Remove build-dependency on timidity.
  * debian/copyright:
    + Make it clear that this package isn't part of Debian.
    + Use © instead of (C) in copyright notices.
    + Refer to GPL-2, not GPL.
  * Use the LIBS variable in ./configure invocation instead of patching
    configure.ac.
  * Install exult binary in /usr/lib/games/exult.
  * debian/patches:
    + disable_timidity_check: New patch to avoid checking for
      /usr/bin/timidity while building the package.
    + midi_file_path: Use ~/.exult instead of current directory to load midi
      audio.
  * debian/po:
    + Added Galician translation (Marce Villarino). (Closes: #512115)
  * New README.source file to explain how to generate a patched source.
  * debian/man: Use minus instead of hyphen for manpage options.
  * Use `set -e' in the body of maintainer scripts instead of passing -e to
    the #! line.

 -- Jordà Polo <jorda@ettin.org>  Tue, 07 Apr 2009 15:45:02 +0200

exult (1.2-13) unstable; urgency=low

  * debian/exult-studio.menu: Section changed to «Games/Tools».
  * debian/control:
    + Standards-Version bumped to 3.7.3.
    + Add Homepage field and remove it from package descriptions.
    + Add Vcs-Git and Vcs-Browser fields.
  * Move exult-studio binaries and data to /usr/games and /usr/share/games
    respectively.
    + Remove studio_dir.patch.
  * debian/cvs_build: Removed, no longer used.
  * Fix build failure with GCC 4.3 (included in gcc4_build_fix.patch).

 -- Jordà Polo <jorda@ettin.org>  Wed, 30 Jan 2008 09:44:00 +0100

exult (1.2-12) unstable; urgency=low

  * Fixed mixed space/tab indentation in maintainer scritps.
  * Custom manpages moved from «debian» to «debian/man».
  * Moved debhelper compatibility level from DH_COMPAT in «debian/rules»
    to «debian/compat».
  * debian/po:
    + Added Portuguese translation (Luísa Lourenço). (Closes: #415854)
    + Added Spanish translation (Enrique Matías). (Closes: #419218)
    + Updated Russian translation (Yuriy Talakan'). (Closes: #414083)
    + Updated Catalan translation.
  * debian/*.xpm: Icon files are now handled by dh_install.
  * debian/*.dirs: Removed unneeded files.
  * debian/watch: Comments cleanup.


