=== debian/watch ===
version=3
http://sf.net/exult/exult-(.*)\.tar\.gz
