## exult 1.2-15-maemo1

=== debian/changelog ===
exult (1.2-15-maemo1) unstable; urgency=low

  * First Maemo 5 build.
  * Changes to mouse events to move most of mouse functionality to left button.
  * Added package for digital audio.
  * Disabled intro in Serpent Isle due to segfaults.

 -- Bundyo <bundyo@gmail.com>  Wed, 07 Jul 2010 09:06:05 +0300
