=== debian/control ===
Source: exult
Section: user/games
Priority: extra
Maintainer: Bundyo <bundyo@gmail.com>
Build-Depends: debhelper (>= 5), quilt (>= 0.40), flex, bison,
 libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.1), libsdl-mixer1.2-dev,
 libx11-dev, libglade2-dev, zlib1g-dev,
 libpng12-dev, autoconf (>= 2.58), automake1.9, libtool, libfreetype6-dev
Standards-Version: 3.8.4
Homepage: http://exult.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/jorda-guest/pkg/exult.git
Vcs-Browser: http://git.debian.org/?p=users/jorda-guest/pkg/exult.git

Package: exult
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: engine for Ultima VII (BG, FOV, SI, SS)
 Exult is an open source engine for playing Ultima VII on a variety of
 modern operating systems and environments.  The Black Gate (including
 Forge of Virtue) and Serpent Isle (plus Silver Seed) are both playable
 to the end.  Some differences to the original games exist; see sections
 5.3/5.4 of the FAQ.
 .
 While it is possible to use the engine for other games, no such game has
 been written yet. Therefore, Exult is useless unless you own a copy of one
 of the Ultima VIIs.
 .
 The installed Black Gate and Serpent Isle files should go in
 MyDocs/Games/exult/BG/ and MyDocs/Games/exult/SI/ folders.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAACO9JREFUeJzUWWlMlFkWrQUKUIIgq4qjtrY0ixjE6CguKIoK2oxR
 1AnKdMCeuEYjRkUd3MZ9i/uG2LiM4kK0ETXuG7iLIgrivo6tRo1gRFDunPOS
 MsZ09xRW2VX946aoj1f13fPeveec+5VGRDSWisrKSk1ZWZk2JyfHccmSJW4I
 b4T7/v37Dc+fP9fy/5a8H8NiX1RRUaHNzMy08/f3/1aj0cTr9fpZnp6eu5yc
 nFLxvneNGjWC58+f71BeXm57AEpLS3W9evXyQ6JJgYGBkpSUJOvXr5eTJ0/K
 iRMnZOTIkRIeHi4Gg2F1aGho7cuXL+ttBgB2VNu9e/cAHx+fynXr1qmET506
 JefPn5fc3Fw5ffq0Cl7btm2b1K1b95G3t3f4zZs3dVYHwJqePXu2o06nm5ud
 nS3YWUH9q+TT09Nl0aJFcvHiRQWEwRPhOoC9HBcXV8MSPWHWh4uKiuxR4+G9
 e/eWGzduyPHjx9VOz5gxQ6Kjo6Vr166yatUqOXjwoLpOAHwdPXq0ODg4DAco
 s0/BrA8nJCT4u7i4FDNBJs/d37Jli/Tp00fQwCXoiXxHR8eKMWPGSGFhoRw7
 dkytWbp0qdSqVUsaNmxYG/1jHQBv3rzRenh49B04cKAqD9Y+gaSlpUmDBg3e
 IPktYKIYsM/f7O3tz02bNk3OnDmjgB46dEgiIiJwd0333bt3m9XQX/zBvLw8
 Q7Vq1c4wee4sy4M727dvXyaWZ2dnF7l48WJH/N8BpxTbsWNHVWZHjx5Vaxcs
 WCDVq1fPnDBhgpdVACxfvtyjTZs28uzZM7XzTGzWrFnSpEmTD6DLsdu3b9d/
 +PBBw0BZ4ZIhZ8WKFXL48GG1ltGpU6cSAOtiTjN/8Qexu3USExPl1q1bqiSY
 0K5duwRldTcqKqohkzICePfunQY98SP1Ye/evWptVlaW9OvXr7Jx48aJVjkB
 APAl+7B8mBBrm8mBlfJArS7G5BkE07p16+jhw4erNUeOHJEDBw7IsGHDBJqQ
 /P79e6sA8AoJCRGUimIWAtmwYYOg9lFRB/WfA2jbtm3Y1KlT5ezZs2otSwls
 VQ4A46wCAAbNqU6dOk+4o+R2ltHMmTNpF/Zhh7WfA2jXrl0ElfrKlSvqtEi3
 oNEHABBvFQAQMT2S/Q+AyIULFxSzoLEFtJmPE7D/FACjfv36/9i3b5+cO3dO
 rZ03b56AXs+j6TtYpQcYfn5+PeLj4+Xhw4cfE4NZe49S8fw0eVCpHZQ3686d
 O0ov2DMDBgwg3a4bMmRILasBwM19nJ2dd9y/f1/5H5o2Jta+fftQIwvxFSBd
 GzVq9O7Jkyeq3MhAwcHBbwGgz8aNG+2sBgCNaNBqtXE0bQUFBaqURo0aRZ8z
 B42tIwAYPAOYKZKKzfrnSVGVUX5FuB7w4MEDrdUAMDAHeKCZy9kL9Dtz584V
 1Dv1wA9qrUPz/rVmzZq/kDrxXtjILVq0YPn8lJycbDD3/mYDQPloYSkSp0yZ
 Infv3lU7zBOBD/qXm5ubN15/2rp1q9y7d0+VDwFi968DYPjr16/Nvr9Ji8DX
 3tjJNojvfy3QBz19fX3L9uzZo8ro+vXrQs4HsDzsspSUlChgI0aMkHr16r3E
 7meBrWJ+4/siEK5Xr141qbT+7wJyNKxvKFWXBiwlJUUmTpwoMGEq+LfxPU+B
 oyTFimyzadMmwTCvkp88ebL6PFRa5syZ8zF4IqRUnhrnCEx3PD3/HTt2mNTc
 Jp1AZGSkJ5o1icPJo0ePBBqgori4WDnM27dvq/IhTWJUVNfpka5du/ZxHdfw
 ldfY8Pn5+SouXbqkXmm1yWCYH3bjhNrDGJrUHyYBePz4sQ6uMQjH/pQ3YtJM
 kE1JVV22bJmMHTtWKfHKlSsF1Kiucx1HSv6fTjU1NVV5IF5jEAgbn6+clwMD
 AyuR/M+w3wE4QZPmBJObhQMMarNjq1at1A3pe+hGmzVrVg6WeYrGLMZsXIAE
 Cjt37qz8DkGSOjGRMbFbOMUCUGwRmvshBK8SOqJKiqWGEZRrTgcFBTUDcJOp
 tUodj+mJirqGthgs8gtumINYjBjKY0eCQQAShpJTAFhSaEYFAHU9G/T6LUAG
 YF1brB+EWI7rRRyCYCsu4v0/IYZV0oUqAXj79q0W9iEYSSzBzbbhqONjYmJq
 r1692hG1rUWp8SlF3S5duqgSYl8QwLhx42ibJ/KhFtdQvNCkhvHjx3tgHogD
 oEx8XypO7ruKiooq5VSlxYxXr15pcfSuUFZ3asDn0xRs9l8IgL4IiaoaR6IE
 kPJrrrOsrEwDNnKNjY11hwmssq2oMgAGk/6tMZAAunXrpkSLJo+aQJoFgEm/
 Z5u/dKz8og/9XkAPvunRo4eiRSOASZMmEcC/zfH9fxiAoUOHBmDWVTRJl0ru
 p1BBlReg/P4UAEJIrxQn+h9qwdq1a2neVrKBbRoA67hnz55hAKEUlyxEZc7I
 yBAwTcafAgDELpq+h6VDHaCFgH7wacV+Uq1NA2CA1/9Oz0QVZvIEQfsA9T2F
 mcBivwt8FQAvX77UQtySqcIsHYJgGXGYh43+L8Srmk0DwLTl5OrqWkgLTfok
 CDbyzp07pWXLljJ48GA/S/9OZrEv4m9kMGi+HTp0kBcvXnwEwBPgg6/+/fvz
 kfr3NvkbGSMrK8sZTPMDlFjtOucAIwgG7TKMXvb06dPNnoMtDgD0qIfS9vP3
 91cDDy00aZQ+yAiCpi4qKorTVufNmzdbDIRFvgTsYufl5VXKJxP8nYwixoSN
 IChmDI6cPj4+GdAJF5sCwOkJo2BKWFiYesTO5AmCJ8FS4tg4aNAg9bgFerAM
 Zu8bmwJAD79w4UI3JPejs7PzU1oHDvIEQA3gb8QYRytgJ45zaElISPC2KQAM
 0iMYh0wUimntBRMnANoKJP8Yie+FRoSkpaXpqjq0/CEAjIGG1bu7u6ewYVn/
 nI+58zidH7Kzs/U2qwOfxpo1a1yQ9BQ+A0VJ3QO9xqanpzt8jXt9FQClpaVa
 0KonZgAO/KuaN29e3ZJl89UBMOCHdE2bNm0B8WqXm5trcRdqjP8BAAD//wMA
 lFHKOulmKyUAAAAASUVORK5CYII=


Package: exult-studio
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Description: Command-line tools for editing and viewing exult games
 Includes:
 .
   expack       - Command line tool for creating and extracting Flex (.flx)
                  files. Flex files are used by Ultima 7 to store most
                  of its data.
   splitshp     - Command line tool to take a multi-frame shp file and
                  split it into its individual frames.
   shp2pcx      - Command line tool to convert shp files to pcx format;
                  the shp files can be extracted using expack.
   ucxt         - Tool to translate usecode back into `human readable',
                  roughly assembly like code. The output can be presented
                  in a variety of different format, including one which
                  will, later, have a suitable compiler back into usecode.
   ucc          - A usecode compiler.
   exult_studio - An editor for games using the Exult engine.
 .
 These are all works in progress.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult Studio

Package: exult-digital-audio
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Description: Digital SFX packs and Roland MT-32 recorded music
 These package is optional, the game will run without it.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult Digital Audio
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAACO9JREFUeJzUWWlMlFkWrQUKUIIgq4qjtrY0ixjE6CguKIoK2oxR
 1AnKdMCeuEYjRkUd3MZ9i/uG2LiM4kK0ETXuG7iLIgrivo6tRo1gRFDunPOS
 MsZ09xRW2VX946aoj1f13fPeveec+5VGRDSWisrKSk1ZWZk2JyfHccmSJW4I
 b4T7/v37Dc+fP9fy/5a8H8NiX1RRUaHNzMy08/f3/1aj0cTr9fpZnp6eu5yc
 nFLxvneNGjWC58+f71BeXm57AEpLS3W9evXyQ6JJgYGBkpSUJOvXr5eTJ0/K
 iRMnZOTIkRIeHi4Gg2F1aGho7cuXL+ttBgB2VNu9e/cAHx+fynXr1qmET506
 JefPn5fc3Fw5ffq0Cl7btm2b1K1b95G3t3f4zZs3dVYHwJqePXu2o06nm5ud
 nS3YWUH9q+TT09Nl0aJFcvHiRQWEwRPhOoC9HBcXV8MSPWHWh4uKiuxR4+G9
 e/eWGzduyPHjx9VOz5gxQ6Kjo6Vr166yatUqOXjwoLpOAHwdPXq0ODg4DAco
 s0/BrA8nJCT4u7i4FDNBJs/d37Jli/Tp00fQwCXoiXxHR8eKMWPGSGFhoRw7
 dkytWbp0qdSqVUsaNmxYG/1jHQBv3rzRenh49B04cKAqD9Y+gaSlpUmDBg3e
 IPktYKIYsM/f7O3tz02bNk3OnDmjgB46dEgiIiJwd0333bt3m9XQX/zBvLw8
 Q7Vq1c4wee4sy4M727dvXyaWZ2dnF7l48WJH/N8BpxTbsWNHVWZHjx5Vaxcs
 WCDVq1fPnDBhgpdVACxfvtyjTZs28uzZM7XzTGzWrFnSpEmTD6DLsdu3b9d/
 +PBBw0BZ4ZIhZ8WKFXL48GG1ltGpU6cSAOtiTjN/8Qexu3USExPl1q1bqiSY
 0K5duwRldTcqKqohkzICePfunQY98SP1Ye/evWptVlaW9OvXr7Jx48aJVjkB
 APAl+7B8mBBrm8mBlfJArS7G5BkE07p16+jhw4erNUeOHJEDBw7IsGHDBJqQ
 /P79e6sA8AoJCRGUimIWAtmwYYOg9lFRB/WfA2jbtm3Y1KlT5ezZs2otSwls
 VQ4A46wCAAbNqU6dOk+4o+R2ltHMmTNpF/Zhh7WfA2jXrl0ElfrKlSvqtEi3
 oNEHABBvFQAQMT2S/Q+AyIULFxSzoLEFtJmPE7D/FACjfv36/9i3b5+cO3dO
 rZ03b56AXs+j6TtYpQcYfn5+PeLj4+Xhw4cfE4NZe49S8fw0eVCpHZQ3686d
 O0ov2DMDBgwg3a4bMmRILasBwM19nJ2dd9y/f1/5H5o2Jta+fftQIwvxFSBd
 GzVq9O7Jkyeq3MhAwcHBbwGgz8aNG+2sBgCNaNBqtXE0bQUFBaqURo0aRZ8z
 B42tIwAYPAOYKZKKzfrnSVGVUX5FuB7w4MEDrdUAMDAHeKCZy9kL9Dtz584V
 1Dv1wA9qrUPz/rVmzZq/kDrxXtjILVq0YPn8lJycbDD3/mYDQPloYSkSp0yZ
 Infv3lU7zBOBD/qXm5ubN15/2rp1q9y7d0+VDwFi968DYPjr16/Nvr9Ji8DX
 3tjJNojvfy3QBz19fX3L9uzZo8ro+vXrQs4HsDzsspSUlChgI0aMkHr16r3E
 7meBrWJ+4/siEK5Xr141qbT+7wJyNKxvKFWXBiwlJUUmTpwoMGEq+LfxPU+B
 oyTFimyzadMmwTCvkp88ebL6PFRa5syZ8zF4IqRUnhrnCEx3PD3/HTt2mNTc
 Jp1AZGSkJ5o1icPJo0ePBBqgori4WDnM27dvq/IhTWJUVNfpka5du/ZxHdfw
 ldfY8Pn5+SouXbqkXmm1yWCYH3bjhNrDGJrUHyYBePz4sQ6uMQjH/pQ3YtJM
 kE1JVV22bJmMHTtWKfHKlSsF1Kiucx1HSv6fTjU1NVV5IF5jEAgbn6+clwMD
 AyuR/M+w3wE4QZPmBJObhQMMarNjq1at1A3pe+hGmzVrVg6WeYrGLMZsXIAE
 Cjt37qz8DkGSOjGRMbFbOMUCUGwRmvshBK8SOqJKiqWGEZRrTgcFBTUDcJOp
 tUodj+mJirqGthgs8gtumINYjBjKY0eCQQAShpJTAFhSaEYFAHU9G/T6LUAG
 YF1brB+EWI7rRRyCYCsu4v0/IYZV0oUqAXj79q0W9iEYSSzBzbbhqONjYmJq
 r1692hG1rUWp8SlF3S5duqgSYl8QwLhx42ibJ/KhFtdQvNCkhvHjx3tgHogD
 oEx8XypO7ruKiooq5VSlxYxXr15pcfSuUFZ3asDn0xRs9l8IgL4IiaoaR6IE
 kPJrrrOsrEwDNnKNjY11hwmssq2oMgAGk/6tMZAAunXrpkSLJo+aQJoFgEm/
 Z5u/dKz8og/9XkAPvunRo4eiRSOASZMmEcC/zfH9fxiAoUOHBmDWVTRJl0ru
 p1BBlReg/P4UAEJIrxQn+h9qwdq1a2neVrKBbRoA67hnz55hAKEUlyxEZc7I
 yBAwTcafAgDELpq+h6VDHaCFgH7wacV+Uq1NA2CA1/9Oz0QVZvIEQfsA9T2F
 mcBivwt8FQAvX77UQtySqcIsHYJgGXGYh43+L8Srmk0DwLTl5OrqWkgLTfok
 CDbyzp07pWXLljJ48GA/S/9OZrEv4m9kMGi+HTp0kBcvXnwEwBPgg6/+/fvz
 kfr3NvkbGSMrK8sZTPMDlFjtOucAIwgG7TKMXvb06dPNnoMtDgD0qIfS9vP3
 91cDDy00aZQ+yAiCpi4qKorTVufNmzdbDIRFvgTsYufl5VXKJxP8nYwixoSN
 IChmDI6cPj4+GdAJF5sCwOkJo2BKWFiYesTO5AmCJ8FS4tg4aNAg9bgFerAM
 Zu8bmwJAD79w4UI3JPejs7PzU1oHDvIEQA3gb8QYRytgJ45zaElISPC2KQAM
 0iMYh0wUimntBRMnANoKJP8Yie+FRoSkpaXpqjq0/CEAjIGG1bu7u6ewYVn/
 nI+58zidH7Kzs/U2qwOfxpo1a1yQ9BQ+A0VJ3QO9xqanpzt8jXt9FQClpaVa
 0KonZgAO/KuaN29e3ZJl89UBMOCHdE2bNm0B8WqXm5trcRdqjP8BAAD//wMA
 lFHKOulmKyUAAAAASUVORK5CYII=
