## exult 1.2-15-maemo2

=== debian/changelog ===
exult (1.2-15-maemo2) unstable; urgency=low

  * Drag to move and double click to move to point added.
  * Fixed the default .exult.cfg

 -- Bundyo <bundyo@gmail.com>  Wed, 08 Jul 2010 01:06:05 +0300
