=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
 
 
 Package: exult-studio
+Section: library/games
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, exult
 Description: Command-line tools for editing and viewing exult games
@@ -113,7 +114,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, exult
 Description: Digital SFX packs and Roland MT-32 recorded music
- These package is optional, the game will run without it.
+ This package is optional, the game will run without it.
 XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: Exult Digital Audio
 XB-Maemo-Icon-26:
