=== debian/rules ===
#!/usr/bin/make -f
# Based on the sample rules file written by Joey Hess.
# Modified for Exult by Michael `Wumpus' Zinn <michael.z@acm.org>.
# Modified for Debian by Carlos Laviola <claviola@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  confflags := --build $(DEB_HOST_GNU_TYPE)
else
  confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  debug := --enable-debug --disable-sdl-parachute
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
  CXXFLAGS += -O0
else
  CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
  CXXFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
endif

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf -f -i -s
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LIBS="-lX11" ./configure \
		$(confflags) $(debug) \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/games \
		--enable-exult-studio \
		--disable-timidity
#		--enable-gimp-plugin
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) LDFLAGS="-Wl,--as-needed"
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f data/*flx.h
	rm -f configure config.log config.guess config.sub config.cache libtool \
	      ltmain.sh missing mkinstalldirs install-sh autoconfig.h.in \
	      config.status aclocal.m4
	find . -name Makefile.in -print0 | xargs -0 rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# install the package into debian/tmp; dh_install then puts the files
	# into debian/exult or debian/exult-studio as required
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	# handle the exult wrapper
	mv $(CURDIR)/debian/exult/usr/games/exult.wrapper \
	   $(CURDIR)/debian/exult/usr/games/exult

binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
