## exult 1.6

=== debian/changelog ===
exult (1.6-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set DEBUG_FLAGS to -g in order
    to enable debugging, as the build system strips it from the dpkg-buildflags
    provided CXXFLAGS.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Apr 2020 09:37:09 +0200

exult (1.6-2) unstable; urgency=medium

  * debian/patches/build_fix_narrowing_conversion.patch: New patch, fixes a
    narrowing conversion compile error on architectures where char is unsigned,
    taken from upstream commit 70ce1da4.
  * debian/rules (override_dh_auto_configure): Add --enable-compiler.
  * debian/exult-studio.install: Readd ucc.
  * debian/rules: Enable parallel build.
  * debian/control (exult-studio/Description: Update description of tools.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Apr 2020 22:10:16 +0200

exult (1.6-1) unstable; urgency=medium

  * New upstream release, changes include:
    + More data from the original has been decoded and thus improved gameplay
      and combat
    + In-game Notebook with support for automatic notes (notes created by
      usecode)
    + Rewrite of the Graphics system to allow switching to full screen on
      modern systems
    + Seperate settings for fullscreen and windowed mode possible
    + Aspect correction is now supported
    + NxBR and HQ3x/HQ4x scalers
    + Shortcut bar with important shortcuts right on top of the screen
    + Option to drop stacks of items without confirmation
    + Some more combat options to make charmed combat more difficult
    + Schedules got a work-over and are more closer to the original but not yet
      perfect
    + NPCs using beds are sleeping better now
    + New shapes for paperdoll
    + Paperdoll support of wearing diapers
    + Better pathfinding when the party boards a barge
    + Cleaned up the code in many places and fixed many compiler warnings
    + Moved hard-coded information to datafiles
    + Greatly improved compiler tools to ease new game development
    + Multi-map support for new games
    + Increased limits on resource sizes (shapes, frames, etc)
    + Tons of work on our map editor Exult Studio and the ability to develop
      new games and mods
    + Fixed most inexplicable crashes
    + Tons of bugfixes
  * debian/patches: Dropped all patches, no longer needed.
  * debian/watch: Rewritten for Github.
  * debian/control (Build-Depends): Removed libsdl1.2-dev/libsdl-mixer1.2-dev,
    added libsdl2-dev, libsdl2-mixer-dev and libvorbis-dev.
  * debian/rules (override_dh_auto_configure): Added --with-desktopdir.
  * debian/exult.install: Updated.
  * debian/exult-studio.install: Removed ucc, added cmanip, mklink, rip and
    wuc. Also install usr/share/games/exult/estudio/new/*.dat files.
  * debian/exult-studio.manpages: Removed ucc manpage.
  * debian/man/ucc.1: Removed.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Apr 2020 21:13:41 +0200
