=== debian/control ===
Source: exult
Section: contrib/games
Priority: extra
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
		autoconf (>= 2.58),
		automake,
		bison,
		dh-autoreconf,
		flex,
		libfreetype6-dev,
		libgimp2.0-dev (>= 2.2.8-11),
		libglade2-dev,
		libpng-dev,
		libsdl2-dev,
		libsdl2-mixer-dev,
		libtool,
		libvorbis-dev,
		libx11-dev,
		zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://exult.sourceforge.net/
Vcs-Git: https://salsa.debian.org/mbanck/exult.git
Vcs-Browser: https://salsa.debian.org/mbanck/exult

Package: exult
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
Description: engine for Ultima VII (BG, FOV, SI, SS)
 Exult is an open source engine for playing Ultima VII on a variety of
 modern operating systems and environments.  The Black Gate (including
 Forge of Virtue) and Serpent Isle (plus Silver Seed) are both playable
 to the end.  Some differences to the original games exist; see sections
 5.3/5.4 of the FAQ.
 .
 While it is possible to use the engine for other games, no such game has
 been written yet. Therefore, Exult is useless unless you own a copy of one
 of the Ultima VIIs.

Package: exult-studio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Recommends: gimp
Description: tools for editing and viewing exult games
 Includes:
 .
   exult_studio - An editor for games using the Exult engine.
   ucc          - Usecode compiler.
   cmanip       - Simple commandline conf-file manipulator
   expack       - Command line tool for creating and extracting Flex (.flx)
                  files. Flex files are used by Ultima 7 to store most
                  of its data.
   ipack        - Create/extract image Flex files using the .png format.
   mklink       - Create "linkdep1" and "linkdep2" files from usecode file.
   rip          - Rip specific functions out of usecode.
   splitshp     - Command line tool to take a multi-frame shp file and
                  split it into its individual frames.
   shp2pcx      - Command line tool to convert shp files to pcx format;
                  the shp files can be extracted using expack.
   textpack     - Convert text file to a Flex file.
   ucxt         - Tool to translate usecode back into `human readable',
                  roughly assembly like code. The output can be presented
                  in a variety of different format, including one which
                  will, later, have a suitable compiler back into usecode.
   wuc          - Wody's Usecode Compiler.
 .
 These are all works in progress.
 .
 A GIMP plugin is provided, so that if you have the GIMP installed you
 can edit and create game graphics with it.
