=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		LIBS="-lX11" \
		DEBUG_FLAGS="-g" \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/games \
		--with-desktopdir=\$${prefix}/share/applications \
		--enable-compiler \
		--enable-exult-studio \
		--enable-gimp-plugin

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f data/*flx.h
	rm -f configure config.log config.guess config.sub config.cache libtool \
	      ltmain.sh missing mkinstalldirs install-sh autoconfig.h.in \
	      config.status aclocal.m4
	find . -name Makefile.in -print0 | xargs -0 rm -f
	rm debian/files || true
	rm -f depcomp
	rm -f INSTALL

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	cp $(CURDIR)/debian/tmp/usr/games/exult \
	   $(CURDIR)/debian/exult/usr/lib/games/exult
	cp $(CURDIR)/debian/exult.wrapper \
	   $(CURDIR)/debian/exult/usr/games/exult
