=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/exult-$1\.tar\.gz/ \
  https://github.com/exult/exult/tags .*/v?(\d\S+)\.tar\.gz
