## exult 1.8

=== debian/changelog ===
exult (1.8-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:20 +1100

exult (1.8-2build2) noble; urgency=medium

  * No-change rebuild against gegl t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 03:03:38 +0100

exult (1.8-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:27:24 +0000

exult (1.8-2) unstable; urgency=medium

  * debian/control (Build-Depends): Replaced libgdk-pixbuf2.0-dev ...
  * debian/control (Build-Depends): ... with libgdk-pixbuf-2.0-dev (Closes:
    #1037371).
  * debian/control (Build-Depends): Removed libgtk2.0-dev, not directly
    needed (see #967333).

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Oct 2023 17:06:06 +0200

exult (1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/build_fix_narrowing_conversion.patch: Removed, no longer
    needed.
  * debian/exult.docs: Removed README.1ST, it pertains to the 1.0 version.
  * debian/control (Priority): Changed to optional.
  * debian/watch: Updated.
  * debian/control (Build-Depends): Added libasound2-dev, libexiv2-dev,
    libfluidsynth-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev, libgtk-3-dev,
    libogg-dev, libxml2-dev and timidity, removed libglade2-dev,
    libsdl2-mixer-dev and libx11-dev.
  * debian/rules (override_dh_auto_configure): Do not set LIBS anymore.
  * debian/rules (override_dh_auto_configure): Add several configuration
    options, in line with above Build-Depends additions.
  * debian/exult.install: Removed no longer shipped *.vga files, added add-on
    directories.
  * debian/exult-studio.install: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 May 2022 08:03:39 +0200
