=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: exult
 Section: contrib/games
-Priority: extra
-Maintainer: Michael Banck <mbanck@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
 		autoconf (>= 2.58),
 		automake,
 		bison,
 		dh-autoreconf,
 		flex,
+		libasound2-dev,
+		libexiv2-dev,
+		libfluidsynth-dev,
 		libfreetype6-dev,
+		libgdk-pixbuf-2.0-dev,
 		libgimp2.0-dev (>= 2.2.8-11),
-		libglade2-dev,
+		libgtk-3-dev,
 		libpng-dev,
 		libsdl2-dev,
-		libsdl2-mixer-dev,
 		libtool,
+		libogg-dev,
 		libvorbis-dev,
-		libx11-dev,
+		libxml2-dev,
+		timidity,
 		zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://exult.sourceforge.net/
