=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,23 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		LIBS="-lX11" \
 		DEBUG_FLAGS="-g" \
 		--prefix=/usr \
 		--bindir=\$${prefix}/games \
 		--mandir=\$${prefix}/share/man \
 		--datadir=\$${prefix}/share/games \
 		--with-desktopdir=\$${prefix}/share/applications \
+		--with-usecode-debugger=yes \
+		--enable-shared \
 		--enable-compiler \
 		--enable-exult-studio \
-		--enable-gimp-plugin
+		--enable-exult-studio-support \
+		--enable-gimp-plugin \
+		--enable-zip-support \
+		--enable-midi-sfx \
+		--enable-gnome-shp-thumbnailer \
+		--enable-data \
+		--enable-mods
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) maintainer-clean
@@ -33,7 +40,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
+	dh_install --sourcedir=$(CURDIR)/debian/tmp
 	cp $(CURDIR)/debian/tmp/usr/games/exult \
 	   $(CURDIR)/debian/exult/usr/lib/games/exult
 	cp $(CURDIR)/debian/exult.wrapper \
