=== android/app/src/main/cpp/dependencies/mt32emu/CMakeLists.txt ===
set(DEPENDENCY mt32emu)
include(../build_dependency.cmake)
