=== debian/changelog ===
exult (1.10.1-3) unstable; urgency=medium

  * debian/control (exult): Add Breaks/Replaces on exult-studio
    (<< 1.10.1-2~) (Closes: #1100145).

 -- Michael Banck <mbanck@debian.org>  Fri, 21 Mar 2025 00:22:20 +0100

exult (1.10.1-2) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/exult-studio.install: Stop shipping u7misc.data and u7opcodes.data,
    those are shipped by exult itself (Closes: #1100145).
  * debian/patches/sifixes_fawn_trial.patch: New patch, fixes a hang in the
    Fawn trial cut-scene, taken from upstream commit d4398abd. 
  * debian/patches/sifixes_npc_topo.patch: New patch, fixes a problem with the
    schedule of NPC Topo, taken from upstream commit 4559cba7.
  * debian/patches/fix_mod_crash.patch: New patch, fixes a crash in the main
    menu when one tries to start a game with the wrong data directory, taken
    from upstream commit 8195259.

 -- Michael Banck <mbanck@debian.org>  Thu, 20 Mar 2025 10:00:18 +0100

exult (1.10.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Stop building gimp plugin (Closes: #967333, #1088057)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Dec 2024 17:48:52 -0500

exult (1.10.1-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/fix-ftfbs-riscv.patch: Removed, no longer needed.
  * debian/exult.install: Update for new icon/desktop file names.
  * debian/exult-studio.install: Likewise.
  * debian/exult.dirs: Added /usr/games.

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Sep 2024 23:23:43 +0200

exult (1.10-2) unstable; urgency=medium

  * debian/patches/fix-ftfbs-riscv.patch: New patch, fixes compilation on
    risc-v, by Gui-Yue and taken from upstream commit 8029418e (Closes:
    #1081426).

 -- Michael Banck <mbanck@debian.org>  Fri, 13 Sep 2024 09:16:12 +0200

exult (1.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated. 
  * debian/control (Build-Depends): Added autoconf-archive.
  * debian/exult.install: Updated.

 -- Michael Banck <mbanck@debian.org>  Mon, 09 Sep 2024 23:47:23 +0200
