=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: exult
 Section: contrib/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
+Maintainer: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
 		autoconf (>= 2.58),
+		autoconf-archive,
 		automake,
 		bison,
 		dh-autoreconf,
@@ -14,7 +14,6 @@
 		libfluidsynth-dev,
 		libfreetype6-dev,
 		libgdk-pixbuf-2.0-dev,
-		libgimp2.0-dev (>= 2.2.8-11),
 		libgtk-3-dev,
 		libpng-dev,
 		libsdl2-dev,
@@ -32,6 +31,8 @@
 Package: exult
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
+Breaks: exult-studio (<< 1.10.1-2~)
+Replaces: exult-studio (<< 1.10.1-2~)
 Description: engine for Ultima VII (BG, FOV, SI, SS)
  Exult is an open source engine for playing Ultima VII on a variety of
  modern operating systems and environments.  The Black Gate (including
