=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		--enable-compiler \
 		--enable-exult-studio \
 		--enable-exult-studio-support \
-		--enable-gimp-plugin \
+		--disable-gimp-plugin \
 		--enable-zip-support \
 		--enable-midi-sfx \
 		--enable-gnome-shp-thumbnailer \
