=== android/app/src/main/cpp/dependencies/ogg/CMakeLists.txt ===
set(DEPENDENCY ogg)
include(../build_dependency.cmake)
