=== debian/changelog ===
exult (1.12.0-2) unstable; urgency=medium

  * debian/exult.install, debian/exult-studio.install: Explicitly install the
    respective .svg icon file without wildcards.
  * debian/control (exult): Update Breaks/Replaces on exult-studio to
    (<< 1.12.0-1~) (Closes: #1106599).

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Jun 2025 23:11:35 +0200

exult (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Homepage): Updated. 
  * debian/patches/sifixes_fawn_trial.patch: Removed, applied upstream.
  * debian/patches/sifixes_npc_topo.patch: Likewise.
  * debian/patches/fix_mod_crash.patch: Likewise.
  * debian/rules (override_dh_auto_configure): Updated configure flag from
    --enable-gnome-shp-thumbnailer to --enable-shp-thumbnailer.
  * debian/exult-studio.install: Updated.
  * debian/exult.install: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 May 2025 14:20:43 +0200
