=== debian/control ===
--- 
+++ 
@@ -24,15 +24,15 @@
 		timidity,
 		zlib1g-dev
 Standards-Version: 3.9.5
-Homepage: http://exult.sourceforge.net/
+Homepage: http://exult.sourceforge.io
 Vcs-Git: https://salsa.debian.org/mbanck/exult.git
 Vcs-Browser: https://salsa.debian.org/mbanck/exult
 
 Package: exult
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
-Breaks: exult-studio (<< 1.10.1-2~)
-Replaces: exult-studio (<< 1.10.1-2~)
+Breaks: exult-studio (<< 1.12.0-1~)
+Replaces: exult-studio (<< 1.12.0-1~)
 Description: engine for Ultima VII (BG, FOV, SI, SS)
  Exult is an open source engine for playing Ultima VII on a variety of
  modern operating systems and environments.  The Black Gate (including
