=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 		--disable-gimp-plugin \
 		--enable-zip-support \
 		--enable-midi-sfx \
-		--enable-gnome-shp-thumbnailer \
+		--enable-shp-thumbnailer \
 		--enable-data \
 		--enable-mods
