=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/exult/exult/releases?per_page=500 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
